#ifndef _ex_thermometer_h_
#define _ex_thermometer_h_

#define TGAP  5			/* gap between text and bar */
#define TH_MAPPED 	0x1	/* thermometer is mapped */

typedef struct _exThermometer {
	Display *d;
	Widget t_s;			/* the thermometer shell */
	Widget t_w;			/* the thermometer widget */
	int filled_w;			/* x-pos up to which bar is filled */
	int bar_h, bar_w;		/* height and width of bar */
	int bar_x, bar_y;		/* upper left pos of bar */
	int lines;			/* number of lines of text */
	char **txt;			/* text to appear in the box */
	XFontStruct *font;		/* the font */
	int flags;
} exThermometer;

/****************************************************************************
 *
 *				external declarations
 *
 ****************************************************************************/


